---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libisfldsin003.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4B830, symBinAddr: 0x81D8, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4D770, symBinAddr: 0xA118, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4DB58, symBinAddr: 0xA500, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4EAF8, symBinAddr: 0xB4A0, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4EB00, symBinAddr: 0xB4A8, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4B4B0, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4B4B4, symBinAddr: 0x8084, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4B4B8, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4B608, symBinAddr: 0x8098, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4B6C0, symBinAddr: 0x8150, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4B6C4, symBinAddr: 0x8154, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4B6C8, symBinAddr: 0x8158, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4B6CC, symBinAddr: 0x815C, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4B6D0, symBinAddr: 0x8160, symSize: 0x0 }
  - { offsetInCU: 0x8ED7, offset: 0x8ED7, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4B6D8, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0x8F60, offset: 0x8F60, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4B6F0, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x8F79, offset: 0x8F79, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4B6F8, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x8F92, offset: 0x8F92, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4B700, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x8FAB, offset: 0x8FAB, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4B708, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x8FC5, offset: 0x8FC5, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4B710, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x90AB, offset: 0x90AB, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4B752, symBinAddr: 0x81B2, symSize: 0x0 }
  - { offsetInCU: 0x90CB, offset: 0x90CB, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4B758, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x90E4, offset: 0x90E4, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4B760, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x90FD, offset: 0x90FD, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4B770, symBinAddr: 0x81D0, symSize: 0x0 }
  - { offsetInCU: 0x9156, offset: 0x9156, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0xB9C, symSize: 0xA0 }
  - { offsetInCU: 0x91EB, offset: 0x91EB, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0xB74, symSize: 0x28 }
  - { offsetInCU: 0x924E, offset: 0x924E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0xAF4, symSize: 0x80 }
  - { offsetInCU: 0x94E2, offset: 0x94E2, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0xC3C, symSize: 0x20C }
  - { offsetInCU: 0x969B, offset: 0x969B, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0xE48, symSize: 0x28 }
  - { offsetInCU: 0x9764, offset: 0x9764, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0xE70, symSize: 0xB0 }
  - { offsetInCU: 0x985B, offset: 0x985B, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0xF20, symSize: 0xD8 }
  - { offsetInCU: 0x9980, offset: 0x9980, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0xFF8, symSize: 0x24 }
  - { offsetInCU: 0x9A0B, offset: 0x9A0B, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x101C, symSize: 0x168 }
  - { offsetInCU: 0x9BE7, offset: 0x9BE7, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x1184, symSize: 0x104 }
  - { offsetInCU: 0x9D64, offset: 0x9D64, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x1288, symSize: 0x154 }
  - { offsetInCU: 0x9F48, offset: 0x9F48, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x13DC, symSize: 0xAC }
  - { offsetInCU: 0xA01D, offset: 0xA01D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x1488, symSize: 0x14 }
  - { offsetInCU: 0xA056, offset: 0xA056, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x149C, symSize: 0x14 }
  - { offsetInCU: 0xA08F, offset: 0xA08F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x14B0, symSize: 0x14 }
  - { offsetInCU: 0xA20C, offset: 0xA20C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x14C4, symSize: 0x1A8 }
  - { offsetInCU: 0xA520, offset: 0xA520, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x166C, symSize: 0x9C }
  - { offsetInCU: 0xA5DD, offset: 0xA5DD, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x1708, symSize: 0x690 }
  - { offsetInCU: 0xB16F, offset: 0xB16F, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x90B8, symBinAddr: 0x2870, symSize: 0x30 }
  - { offsetInCU: 0xB1FB, offset: 0xB1FB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x1D98, symSize: 0x74 }
  - { offsetInCU: 0xB2AB, offset: 0xB2AB, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x1E0C, symSize: 0xB0 }
  - { offsetInCU: 0xB3AA, offset: 0xB3AA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x1EBC, symSize: 0x3C }
  - { offsetInCU: 0xB4A0, offset: 0xB4A0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x1EF8, symSize: 0x29C }
  - { offsetInCU: 0xB7E3, offset: 0xB7E3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x2194, symSize: 0xD0 }
  - { offsetInCU: 0xB911, offset: 0xB911, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x2264, symSize: 0xC }
  - { offsetInCU: 0xB9D3, offset: 0xB9D3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x2270, symSize: 0x22C }
  - { offsetInCU: 0xBC8E, offset: 0xBC8E, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x249C, symSize: 0x4 }
  - { offsetInCU: 0xBCD2, offset: 0xBCD2, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x249C, symSize: 0x4 }
  - { offsetInCU: 0xBCEB, offset: 0xBCEB, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x24A0, symSize: 0x154 }
  - { offsetInCU: 0xBE6A, offset: 0xBE6A, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8E20, symBinAddr: 0x25F4, symSize: 0x4 }
  - { offsetInCU: 0xBEAE, offset: 0xBEAE, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8E20, symBinAddr: 0x25F4, symSize: 0x4 }
  - { offsetInCU: 0xBF4F, offset: 0xBF4F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_IsFieldSynthetic_isfldsin003a_check, symObjAddr: 0x8E40, symBinAddr: 0x25F8, symSize: 0x278 }
  - { offsetInCU: 0xC0E5, offset: 0xC0E5, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x90E8, symBinAddr: 0x28A0, symSize: 0x358 }
...
